# RTIG Class Reference

This class manages the RTIG server, aka RTI Gateway server. More...

`#include <RTIG.hh>`

List of all members.

## Public Member Functions
| RTIG ()
| ~RTIG ()
void | setVerboseLevel (int level)
void | execute ()
## Static Public Member Functions
static void | signalHandler (int sig)
| process received signals.
## Static Public Attributes
static bool | terminate = false
## Private Member Functions
Socket * | processIncomingMessage (Socket *) throw (NetworkError)
| process incoming messages.
Socket * | chooseProcessingMethod (Socket *, NetworkMessage *)
| Choose the right processing module to call.
void | openConnection ()
void | closeConnection (Socket *, bool emergency)
| closeConnection
void | processCreateFederation (Socket *, NetworkMessage *)
| Creates a new federation.
void | processJoinFederation (Socket *, NetworkMessage *)
| Add a new federate to federation.
void | processResignFederation (Socket *, Handle, FederateHandle)
| Removes a federate from federation.
void | processDestroyFederation (Socket *, NetworkMessage *)
| Removes a federation.
void | processSetClassRelevanceAdvisorySwitch (Socket *, NM_Set_Class_Relevance_Advisory_Switch *)
| Set federate's class relevance advisroy switch.
void | processSetInteractionRelevanceAdvisorySwitch (Socket *, NM_Set_Interaction_Relevance_Advisory_Switch *)
| Set federate's interaction relevance advisroy switch.
void | processSetAttributeRelevanceAdvisorySwitch (Socket *, NM_Set_Attribute_Relevance_Advisory_Switch *)
| Set federate's attribute relevance advisroy switch.
void | processSetAttributeScopeAdvisorySwitch (Socket *, NM_Set_Attribute_Scope_Advisory_Switch *)
| Set federate's attribute scope advisroy switch.
void | processSetTimeRegulating (Socket *, NM_Set_Time_Regulating *msg)
| Put federate as time regulating.
void | processSetTimeConstrained (Socket *, NM_Set_Time_Constrained *msg)
| Put federate as time constrained.
void | processMessageNull (NetworkMessage *)
| processMessageNull.
void | processRegisterSynchronization (Socket *, NM_Register_Federation_Synchronization_Point *)
| processRegisterSynchronization.
void | processSynchronizationAchieved (Socket *, NetworkMessage *)
| processSynchronizationAchieved.
void | processRequestFederationSave (Socket *, NetworkMessage *)
void | processFederateSaveBegun (Socket *, NetworkMessage *)
void | processFederateSaveStatus (Socket *, NetworkMessage *)
void | processRequestFederationRestore (Socket *, NetworkMessage *)
void | processFederateRestoreStatus (Socket *, NetworkMessage *)
void | processPublishObjectClass (Socket *, NetworkMessage *)
void | processSubscribeObjectClass (Socket *, NetworkMessage *)
void | processUnpublishObjectClass (Socket *, NetworkMessage *)
void | processUnsubscribeObjectClass (Socket *, NetworkMessage *)
void | processPublishInteractionClass (Socket *, NetworkMessage *)
void | processSubscribeInteractionClass (Socket *, NetworkMessage *)
void | processUnpublishInteractionClass (Socket *, NetworkMessage *)
void | processUnsubscribeInteractionClass (Socket *, NetworkMessage *msg)
void | processRegisterObject (Socket *, NetworkMessage *)
void | processUpdateAttributeValues (Socket *, NetworkMessage *)
void | processSendInteraction (Socket *, NetworkMessage *)
void | processDeleteObject (Socket *, NetworkMessage *)
void | processQueryAttributeOwnership (Socket *, NetworkMessage *)
void | processNegotiatedOwnershipDivestiture (Socket *, NetworkMessage *)
void | processAcquisitionIfAvailable (Socket *, NetworkMessage *)
void | processUnconditionalDivestiture (Socket *, NetworkMessage *)
void | processOwnershipAcquisition (Socket *, NetworkMessage *)
void | processCancelNegotiatedDivestiture (Socket *, NetworkMessage *)
void | processAttributeOwnedByFederate (Socket *, NetworkMessage *)
void | processReleaseResponse (Socket *, NetworkMessage *)
void | processCancelAcquisition (Socket *, NetworkMessage *)
void | processCreateRegion (Socket *, NetworkMessage *)
void | processModifyRegion (Socket *, NetworkMessage *)
void | processDeleteRegion (Socket *, NetworkMessage *)
void | processAssociateRegion (Socket *, NetworkMessage *)
void | processUnassociateRegion (Socket *, NetworkMessage *)
void | processSubscribeAttributesWR (Socket *, NetworkMessage *)
void | processUnsubscribeAttributesWR (Socket *, NetworkMessage *)
void | processSubscribeInteractionWR (Socket *, NetworkMessage *)
void | processUnsubscribeInteractionWR (Socket *, NetworkMessage *)
void | processRegisterObjectWithRegion (Socket *, NetworkMessage *)
void | processRequestObjectAttributeValueUpdate (Socket *, NetworkMessage *)
## Private Attributes
int | tcpPort
int | udpPort
int | verboseLevel
HandleManager< Handle > | federationHandles
SocketTCP | tcpSocketServer
SocketUDP | udpSocketServer
SocketServer | socketServer
AuditFile | auditServer
FederationsList | federations
MessageBuffer | NM_msgBufSend
MessageBuffer | NM_msgBufReceive

## Detailed Description

This class manages the RTIG server, aka RTI Gateway server.

Each time a message is received, it is processed by a RTI_processing.cc module.

These modules called "processXXX" are divided into two parts :

- one part for treating the received message.
- another part generating and sending back a response.

Definition at line 50 of file RTIG.hh.

## Constructor & Destructor Documentation

RTIG | ( |  | ) |

Definition at line 55 of file RTIG.cc.

References RTIG::federations, PORT_TCP_RTIG, PORT_UDP_RTIG, FederationsList::setVerboseLevel(), RTIG::tcpPort, RTIG::udpPort, and RTIG::verboseLevel.

Here is the call graph for this function:

~RTIG | ( |  | ) |

Definition at line 75 of file RTIG.cc.

References SocketUDP::close(), SocketTCP::close(), RTIG::tcpSocketServer, and RTIG::udpSocketServer.

Here is the call graph for this function:

## Member Function Documentation

void signalHandler | ( | int | sig | ) | `[static]`

process received signals.

Definition at line 1030 of file RTIG.cc.

References certi::rtig::D, PrettyDebug::Out(), pdError, and RTIG::terminate.

Here is the call graph for this function:

void setVerboseLevel | ( | int | level | ) | `[inline]`

Definition at line 58 of file RTIG.hh.

References RTIG::federations, FederationsList::setVerboseLevel(), and RTIG::verboseLevel.

Referenced by main().

Here is the call graph for this function:

void execute | ( |  | ) |

Definition at line 443 of file RTIG.cc.

References SocketServer::addToFDSet(), RTIG::closeConnection(), SocketTCP::createTCPServer(), SocketUDP::createUDPServer(), certi::rtig::D, SocketServer::getActiveSocket(), Socket::isDataReady(), RTIG::openConnection(), PrettyDebug::Out(), pdCom, pdExcept, RTIG::processIncomingMessage(), Socket::returnSocket(), SocketTCP::returnSocket(), RTIG::socketServer, RTIG::tcpPort, RTIG::tcpSocketServer, RTIG::terminate, RTIG::udpPort, RTIG::udpSocketServer, and RTIG::verboseLevel.

Referenced by main().

Here is the call graph for this function:

Socket * processIncomingMessage | ( | Socket * | link | ) | throw (NetworkError)`[private]`

process incoming messages.

This module works as follows:

Each processXXX module processes its own answer and any broadcast needed. processXXX module calling is decided by the ChooseProcessingMethod module. But if an exception occurs while processing a message, the exception is caught by this module. Then a message, similar to the received one is sent on the link. This message only holds the exception.

Definition at line 559 of file RTIG.cc.

References Exception::_name, RTIG::auditServer, BUFFER_EXCEPTION_REASON_SIZE, RTIG::chooseProcessingMethod(), CPY_NOT_NULL, NM_Factory::create(), certi::rtig::D, certi::e_ArrayIndexOutOfBounds, certi::e_AttributeAcquisitionWasNotRequested, certi::e_AttributeAlreadyBeingAcquired, certi::e_AttributeAlreadyBeingDivested, certi::e_AttributeAlreadyOwned, certi::e_AttributeDivestitureWasNotRequested, certi::e_AttributeNotDefined, certi::e_AttributeNotKnown, certi::e_AttributeNotOwned, certi::e_AttributeNotPublished, certi::e_AttributeNotSubscribed, certi::e_ConcurrentAccessAttempted, certi::e_CouldNotDiscover, certi::e_CouldNotOpenFED, certi::e_CouldNotOpenRID, certi::e_CouldNotRestore, certi::e_DeletePrivilegeNotHeld, certi::e_ErrorReadingRID, certi::e_EventNotKnown, certi::e_FederateAlreadyExecutionMember, certi::e_FederateAlreadyPaused, certi::e_FederateDoesNotExist, certi::e_FederateInternalError, certi::e_FederateNameAlreadyInUse, certi::e_FederateNotExecutionMember, certi::e_FederateNotPaused, certi::e_FederateNotPublishing, certi::e_FederateNotSubscribing, certi::e_FederateOwnsAttributes, certi::e_FederatesCurrentlyJoined, certi::e_FederateWasNotAskedToReleaseAttribute, certi::e_FederationAlreadyPaused, certi::e_FederationExecutionAlreadyExists, certi::e_FederationExecutionDoesNotExist, certi::e_FederationNotPaused, certi::e_FederationTimeAlreadyPassed, certi::e_IDsupplyExhausted, certi::e_InteractionClassNotDefined, certi::e_InteractionClassNotKnown, certi::e_InteractionClassNotPublished, certi::e_InteractionParameterNotDefined, certi::e_InteractionParameterNotKnown, certi::e_InvalidDivestitureCondition, certi::e_InvalidExtents, certi::e_InvalidFederationTime, certi::e_InvalidFederationTimeDelta, certi::e_InvalidObjectHandle, certi::e_InvalidOrderingHandle, certi::e_InvalidResignAction, certi::e_InvalidRetractionHandle, certi::e_InvalidRoutingSpace, certi::e_InvalidTransportationHandle, certi::e_MemoryExhausted, certi::e_NameNotFound, certi::e_NO_EXCEPTION, certi::e_NoPauseRequested, certi::e_NoResumeRequested, certi::e_ObjectAlreadyRegistered, certi::e_ObjectClassNotDefined, certi::e_ObjectClassNotKnown, certi::e_ObjectClassNotPublished, certi::e_ObjectClassNotSubscribed, certi::e_ObjectNotKnown, certi::e_RegionNotKnown, certi::e_RestoreInProgress, certi::e_RestoreNotRequested, certi::e_RTIinternalError, certi::e_SaveInProgress, certi::e_SaveNotInitiated, certi::e_SecurityError, certi::e_SpaceNotDefined, certi::e_SpecifiedSaveLabelDoesNotExist, certi::e_TimeAdvanceAlreadyInProgress, certi::e_TimeAdvanceWasNotInProgress, certi::e_TooManyIDsRequested, certi::e_UnableToPerformSave, certi::e_UnimplementedService, certi::e_UnknownLabel, certi::e_ValueCountExceeded, certi::e_ValueLengthExceeded, AuditFile::endLine(), NetworkMessage::federate, NetworkMessage::federation, certi::rtig::G, NetworkMessage::getType(), RTIG::NM_msgBufSend, PrettyDebug::Out(), pdError, pdExcept, pdGendoc, NM_Factory::receive(), and AuditFile::startLine().

Referenced by RTIG::execute().

Here is the call graph for this function:

Socket * chooseProcessingMethod | ( | Socket * | link,
|  | NetworkMessage * | msg |
| ) |  |  | `[private]`

Choose the right processing module to call.

This module chooses the right processing module to call. This process is done by examinating the message type.

Definition at line 89 of file RTIG.cc.

References NetworkMessage::ATTRIBUTE_OWNERSHIP_ACQUISITION, NetworkMessage::ATTRIBUTE_OWNERSHIP_ACQUISITION_IF_AVAILABLE, NetworkMessage::ATTRIBUTE_OWNERSHIP_RELEASE_RESPONSE, RTIG::auditServer, NetworkMessage::CANCEL_ATTRIBUTE_OWNERSHIP_ACQUISITION, NetworkMessage::CANCEL_NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE, SocketServer::checkMessage(), NetworkMessage::CLOSE_CONNEXION, RTIG::closeConnection(), NetworkMessage::CREATE_FEDERATION_EXECUTION, certi::rtig::D, NetworkMessage::DDM_ASSOCIATE_REGION, NetworkMessage::DDM_CREATE_REGION, NetworkMessage::DDM_DELETE_REGION, NetworkMessage::DDM_MODIFY_REGION, NetworkMessage::DDM_REGISTER_OBJECT, NetworkMessage::DDM_SUBSCRIBE_ATTRIBUTES, NetworkMessage::DDM_SUBSCRIBE_INTERACTION, NetworkMessage::DDM_UNASSOCIATE_REGION, NetworkMessage::DDM_UNSUBSCRIBE_ATTRIBUTES, NetworkMessage::DDM_UNSUBSCRIBE_INTERACTION, NetworkMessage::DELETE_OBJECT, NetworkMessage::DESTROY_FEDERATION_EXECUTION, NetworkMessage::federate, NetworkMessage::FEDERATE_RESTORE_COMPLETE, NetworkMessage::FEDERATE_RESTORE_NOT_COMPLETE, NetworkMessage::FEDERATE_SAVE_BEGUN, NetworkMessage::FEDERATE_SAVE_COMPLETE, NetworkMessage::FEDERATE_SAVE_NOT_COMPLETE, NetworkMessage::federateName, NetworkMessage::federation, NetworkMessage::federationName, certi::rtig::G, NetworkMessage::getDate(), NetworkMessage::getName(), FedTime::getTime(), NetworkMessage::getType(), NetworkMessage::IS_ATTRIBUTE_OWNED_BY_FEDERATE, NetworkMessage::JOIN_FEDERATION_EXECUTION, NetworkMessage::MESSAGE_NULL, NetworkMessage::NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE, PrettyDebug::Out(), pdDebug, pdError, pdGendoc, pdTrace, RTIG::processAcquisitionIfAvailable(), RTIG::processAssociateRegion(), RTIG::processAttributeOwnedByFederate(), RTIG::processCancelAcquisition(), RTIG::processCancelNegotiatedDivestiture(), RTIG::processCreateFederation(), RTIG::processCreateRegion(), RTIG::processDeleteObject(), RTIG::processDeleteRegion(), RTIG::processDestroyFederation(), RTIG::processFederateRestoreStatus(), RTIG::processFederateSaveBegun(), RTIG::processFederateSaveStatus(), RTIG::processJoinFederation(), RTIG::processMessageNull(), RTIG::processModifyRegion(), RTIG::processNegotiatedOwnershipDivestiture(), RTIG::processOwnershipAcquisition(), RTIG::processPublishInteractionClass(), RTIG::processPublishObjectClass(), RTIG::processQueryAttributeOwnership(), RTIG::processRegisterObject(), RTIG::processRegisterObjectWithRegion(), RTIG::processRegisterSynchronization(), RTIG::processReleaseResponse(), RTIG::processRequestFederationRestore(), RTIG::processRequestFederationSave(), RTIG::processRequestObjectAttributeValueUpdate(), RTIG::processResignFederation(), RTIG::processSendInteraction(), RTIG::processSetAttributeRelevanceAdvisorySwitch(), RTIG::processSetAttributeScopeAdvisorySwitch(), RTIG::processSetClassRelevanceAdvisorySwitch(), RTIG::processSetInteractionRelevanceAdvisorySwitch(), RTIG::processSetTimeConstrained(), RTIG::processSetTimeRegulating(), RTIG::processSubscribeAttributesWR(), RTIG::processSubscribeInteractionClass(), RTIG::processSubscribeInteractionWR(), RTIG::processSubscribeObjectClass(), RTIG::processSynchronizationAchieved(), RTIG::processUnassociateRegion(), RTIG::processUnconditionalDivestiture(), RTIG::processUnsubscribeAttributesWR(), RTIG::processUnsubscribeInteractionWR(), RTIG::processUpdateAttributeValues(), NetworkMessage::PUBLISH_INTERACTION_CLASS, NetworkMessage::PUBLISH_OBJECT_CLASS, NetworkMessage::QUERY_ATTRIBUTE_OWNERSHIP, NetworkMessage::REGISTER_FEDERATION_SYNCHRONIZATION_POINT, NetworkMessage::REGISTER_OBJECT, NetworkMessage::REQUEST_FEDERATION_RESTORE, NetworkMessage::REQUEST_FEDERATION_SAVE, NetworkMessage::REQUEST_OBJECT_ATTRIBUTE_VALUE_UPDATE, NetworkMessage::RESIGN_FEDERATION_EXECUTION, Socket::returnSocket(), NetworkMessage::SEND_INTERACTION, NetworkMessage::SET_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH, NetworkMessage::SET_ATTRIBUTE_SCOPE_ADVISORY_SWITCH, NetworkMessage::SET_CLASS_RELEVANCE_ADVISORY_SWITCH, NetworkMessage::SET_INTERACTION_RELEVANCE_ADVISORY_SWITCH, NetworkMessage::SET_TIME_CONSTRAINED, NetworkMessage::SET_TIME_REGULATING, AuditFile::setLevel(), RTIG::socketServer, NetworkMessage::SUBSCRIBE_INTERACTION_CLASS, NetworkMessage::SUBSCRIBE_OBJECT_CLASS, NetworkMessage::SYNCHRONIZATION_POINT_ACHIEVED, NetworkMessage::UNCONDITIONAL_ATTRIBUTE_OWNERSHIP_DIVESTITURE, NetworkMessage::UNPUBLISH_INTERACTION_CLASS, NetworkMessage::UNPUBLISH_OBJECT_CLASS, NetworkMessage::UNSUBSCRIBE_INTERACTION_CLASS, NetworkMessage::UNSUBSCRIBE_OBJECT_CLASS, and NetworkMessage::UPDATE_ATTRIBUTE_VALUES.

Referenced by RTIG::processIncomingMessage().

void openConnection | ( |  | ) | `[private]`

Definition at line 536 of file RTIG.cc.

References certi::rtig::D, SocketServer::open(), PrettyDebug::Out(), pdExcept, pdInit, and RTIG::socketServer.

Referenced by RTIG::execute().

Here is the call graph for this function:

void closeConnection | ( | Socket * | link,
|  | bool | emergency |
| ) |  |  | `[private]`

closeConnection

If a connection is closed in emergency, KillFederate will be called on federations attribute to remove all references to this federate.

Definition at line 417 of file RTIG.cc.

References SocketServer::close(), certi::rtig::D, certi::fedparser::federate, RTIG::federations, certi::rtig::G, FederationsList::killFederate(), PrettyDebug::Out(), pdError, pdExcept, pdGendoc, Socket::returnSocket(), and RTIG::socketServer.

Referenced by RTIG::chooseProcessingMethod(), and RTIG::execute().

Here is the call graph for this function:

void processCreateFederation | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Creates a new federation.

Definition at line 44 of file RTIG_processing.cc.

References RTIG::auditServer, FederationsList::createFederation(), SocketMC::CreerSocketMC(), certi::rtig::D, certi::e_CouldNotOpenFED, certi::e_ErrorReadingFED, certi::e_FederationExecutionAlreadyExists, certi::e_NO_EXCEPTION, NetworkMessage::exceptionReason, NetworkMessage::federation, RTIG::federationHandles, NetworkMessage::federationName, RTIG::federations, NetworkMessage::FEDid, certi::rtig::G, RTIG::NM_msgBufSend, PrettyDebug::Out(), pdExcept, pdGendoc, pdInit, HandleManager::provide(), and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processJoinFederation | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Add a new federate to federation.

Definition at line 129 of file RTIG_processing.cc.

References FederationsList::addFederate(), RTIG::auditServer, NetworkMessage::bestEffortAddress, NetworkMessage::bestEffortPeer, certi::rtig::D, certi::e_FederateAlreadyExecutionMember, certi::e_NO_EXCEPTION, certi::e_RTIinternalError, NetworkMessage::exceptionReason, FederationsList::exists(), NetworkMessage::federate, certi::fedparser::federate, NetworkMessage::federateName, NetworkMessage::federation, NetworkMessage::federationName, RTIG::federations, NetworkMessage::FEDid, certi::rtig::G, NetworkMessage::getType(), FederationsList::info(), RTIG::NM_msgBufReceive, RTIG::NM_msgBufSend, NetworkMessage::number, NetworkMessage::numberOfRegulators, PrettyDebug::Out(), pdGendoc, pdInit, pdTrace, NetworkMessage::receive(), SocketMC::returnAdress(), Socket::returnSocket(), NetworkMessage::send(), NM_Get_FED_File::setFEDLine(), SocketServer::setReferences(), and RTIG::socketServer.

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processResignFederation | ( | Socket * | link,
|  | Handle | federation,
|  | FederateHandle | federe |
| ) |  |  | `[private]`

Removes a federate from federation.

Definition at line 312 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, RTIG::NM_msgBufSend, PrettyDebug::Out(), pdGendoc, pdInit, FederationsList::remove(), and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processDestroyFederation | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Removes a federation.

Definition at line 339 of file RTIG_processing.cc.

References Exception::_name, Exception::_reason, RTIG::auditServer, certi::rtig::D, FederationsList::destroyFederation(), certi::e_FederatesCurrentlyJoined, certi::e_FederationExecutionDoesNotExist, certi::e_NO_EXCEPTION, certi::e_RTIinternalError, NetworkMessage::exceptionReason, FederationsList::exists(), NetworkMessage::federate, RTIG::federationHandles, NetworkMessage::federationName, RTIG::federations, HandleManager::free(), certi::rtig::G, RTIG::NM_msgBufSend, PrettyDebug::Out(), pdGendoc, pdInit, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSetClassRelevanceAdvisorySwitch | ( | Socket * | link,
|  | NM_Set_Class_Relevance_Advisory_Switch * | msg |
| ) |  |  | `[private]`

Set federate's class relevance advisroy switch.

Definition at line 397 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NM_Set_Class_Relevance_Advisory_Switch::getClassRelevanceAdvisorySwitch(), RTIG::NM_msgBufSend, PrettyDebug::Out(), pdGendoc, pdTerm, NetworkMessage::send(), FederationsList::setClassRelevanceAdvisorySwitch(), and FederationsList::unsetClassRelevanceAdvisorySwitch().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSetInteractionRelevanceAdvisorySwitch | ( | Socket * | link,
|  | NM_Set_Interaction_Relevance_Advisory_Switch * | msg |
| ) |  |  | `[private]`

Set federate's interaction relevance advisroy switch.

Definition at line 427 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NM_Set_Interaction_Relevance_Advisory_Switch::getInteractionRelevanceAdvisorySwitch(), RTIG::NM_msgBufSend, PrettyDebug::Out(), pdGendoc, pdTerm, NetworkMessage::send(), FederationsList::setInteractionRelevanceAdvisorySwitch(), and FederationsList::unsetInteractionRelevanceAdvisorySwitch().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSetAttributeRelevanceAdvisorySwitch | ( | Socket * | link,
|  | NM_Set_Attribute_Relevance_Advisory_Switch * | msg |
| ) |  |  | `[private]`

Set federate's attribute relevance advisroy switch.

Definition at line 457 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NM_Set_Attribute_Relevance_Advisory_Switch::getAttributeRelevanceAdvisorySwitch(), RTIG::NM_msgBufSend, PrettyDebug::Out(), pdGendoc, pdTerm, NetworkMessage::send(), FederationsList::setAttributeRelevanceAdvisorySwitch(), and FederationsList::unsetAttributeRelevanceAdvisorySwitch().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSetAttributeScopeAdvisorySwitch | ( | Socket * | link,
|  | NM_Set_Attribute_Scope_Advisory_Switch * | msg |
| ) |  |  | `[private]`

Set federate's attribute scope advisroy switch.

Definition at line 487 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NM_Set_Attribute_Scope_Advisory_Switch::getAttributeScopeAdvisorySwitch(), RTIG::NM_msgBufSend, PrettyDebug::Out(), pdGendoc, pdTerm, NetworkMessage::send(), FederationsList::setAttributeScopeAdvisorySwitch(), and FederationsList::unsetAttributeScopeAdvisorySwitch().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSetTimeRegulating | ( | Socket * | link,
|  | NM_Set_Time_Regulating * | msg |
| ) |  |  | `[private]`

Put federate as time regulating.

Definition at line 517 of file RTIG_processing.cc.

References RTIG::auditServer, FederationsList::createRegulator(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getDate(), FedTime::getTime(), NM_Set_Time_Regulating::isRegulator(), RTIG::NM_msgBufSend, PrettyDebug::Out(), pdGendoc, pdTerm, FederationsList::removeRegulator(), NetworkMessage::send(), and NetworkMessage::setDate().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSetTimeConstrained | ( | Socket * | link,
|  | NM_Set_Time_Constrained * | msg |
| ) |  |  | `[private]`

Put federate as time constrained.

Definition at line 558 of file RTIG_processing.cc.

References FederationsList::addConstrained(), RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getDate(), FedTime::getTime(), NM_Set_Time_Constrained::isConstrained(), RTIG::NM_msgBufSend, PrettyDebug::Out(), pdGendoc, pdTerm, FederationsList::removeConstrained(), NetworkMessage::send(), and NetworkMessage::setDate().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processMessageNull | ( | NetworkMessage * | msg | ) | `[private]`

processMessageNull.

Definition at line 598 of file RTIG_processing.cc.

References RTIG::auditServer, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::getDate(), FedTime::getTime(), and FederationsList::updateRegulator().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processRegisterSynchronization | ( | Socket * | link,
|  | NM_Register_Federation_Synchronization_Point * | req |
| ) |  |  | `[private]`

processRegisterSynchronization.

Definition at line 613 of file RTIG_processing.cc.

References RTIG::auditServer, FederationsList::broadcastSynchronization(), certi::rtig::D, NM_Register_Federation_Synchronization_Point::doesSetExist(), NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getLabel(), NetworkMessage::getTag(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, FederationsList::manageSynchronization(), RTIG::NM_msgBufSend, PrettyDebug::Out(), pdGendoc, pdTerm, NetworkMessage::send(), and NetworkMessage::setLabel().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSynchronizationAchieved | ( | Socket * | ,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

processSynchronizationAchieved.

Definition at line 671 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::getLabel(), FederationsList::manageSynchronization(), PrettyDebug::Out(), and pdTerm.

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processRequestFederationSave | ( | Socket * | ,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 685 of file RTIG_processing.cc.

References RTIG::auditServer, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getDate(), NetworkMessage::getLabel(), NetworkMessage::isDated(), PrettyDebug::Out(), pdGendoc, and FederationsList::requestFederationSave().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processFederateSaveBegun | ( | Socket * | ,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 706 of file RTIG_processing.cc.

References RTIG::auditServer, NetworkMessage::federate, FederationsList::federateSaveBegun(), NetworkMessage::federation, RTIG::federations, certi::rtig::G, PrettyDebug::Out(), and pdGendoc.

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processFederateSaveStatus | ( | Socket * | ,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 722 of file RTIG_processing.cc.

References RTIG::auditServer, NetworkMessage::federate, NetworkMessage::FEDERATE_SAVE_COMPLETE, FederationsList::federateSaveStatus(), NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getType(), PrettyDebug::Out(), and pdGendoc.

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processRequestFederationRestore | ( | Socket * | ,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 741 of file RTIG_processing.cc.

References RTIG::auditServer, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getLabel(), PrettyDebug::Out(), pdGendoc, and FederationsList::requestFederationRestore().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processFederateRestoreStatus | ( | Socket * | ,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 755 of file RTIG_processing.cc.

References RTIG::auditServer, NetworkMessage::federate, NetworkMessage::FEDERATE_RESTORE_COMPLETE, FederationsList::federateRestoreStatus(), NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getType(), PrettyDebug::Out(), and pdGendoc.

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processPublishObjectClass | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 772 of file RTIG_processing.cc.

References RTIG::auditServer, NM_Factory::create(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::getType(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::objectClass, PrettyDebug::Out(), pdRegister, NetworkMessage::PUBLISH_OBJECT_CLASS, and FederationsList::publishObject().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSubscribeObjectClass | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 799 of file RTIG_processing.cc.

References RTIG::auditServer, NM_Factory::create(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getType(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::objectClass, PrettyDebug::Out(), pdGendoc, pdRegister, NetworkMessage::SUBSCRIBE_OBJECT_CLASS, and FederationsList::subscribeObject().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processUnpublishObjectClass | ( | Socket * | ,
|  | NetworkMessage * |  |
| ) |  |  | `[private]`

void processUnsubscribeObjectClass | ( | Socket * | ,
|  | NetworkMessage * |  |
| ) |  |  | `[private]`

void processPublishInteractionClass | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 835 of file RTIG_processing.cc.

References RTIG::auditServer, NM_Factory::create(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::getType(), NetworkMessage::interactionClass, RTIG::NM_msgBufSend, PrettyDebug::Out(), pdRequest, NetworkMessage::PUBLISH_INTERACTION_CLASS, and FederationsList::publishInteraction().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSubscribeInteractionClass | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 861 of file RTIG_processing.cc.

References RTIG::auditServer, NM_Factory::create(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::getType(), NetworkMessage::interactionClass, RTIG::NM_msgBufSend, PrettyDebug::Out(), pdRequest, NetworkMessage::SUBSCRIBE_INTERACTION_CLASS, and FederationsList::subscribeInteraction().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processUnpublishInteractionClass | ( | Socket * | ,
|  | NetworkMessage * |  |
| ) |  |  | `[private]`

void processUnsubscribeInteractionClass | ( | Socket * | ,
|  | NetworkMessage * | msg |
| ) |  |  | `[private]`

void processRegisterObject | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 886 of file RTIG_processing.cc.

References RTIG::auditServer, NM_Factory::create(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::getLabel(), NetworkMessage::getType(), RTIG::NM_msgBufSend, NetworkMessage::objectClass, PrettyDebug::Out(), pdRegister, and FederationsList::registerObject().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processUpdateAttributeValues | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 913 of file RTIG_processing.cc.

References RTIG::auditServer, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getAttribValueArray(), NetworkMessage::getDate(), NetworkMessage::getLabel(), NetworkMessage::getTag(), FedTime::getTime(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, NetworkMessage::isDated(), RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdGendoc, NetworkMessage::send(), NetworkMessage::setDate(), NetworkMessage::setLabel(), NetworkMessage::setTag(), and FederationsList::updateAttribute().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSendInteraction | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 967 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getDate(), NetworkMessage::getLabel(), NetworkMessage::getParamValueArray(), NetworkMessage::getTag(), FedTime::getTime(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, NetworkMessage::interactionClass, NetworkMessage::isDated(), RTIG::NM_msgBufSend, PrettyDebug::Out(), pdDebug, pdGendoc, NetworkMessage::region, NetworkMessage::send(), NetworkMessage::setLabel(), NetworkMessage::setTag(), and FederationsList::updateParameter().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processDeleteObject | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1025 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, FederationsList::destroyObject(), NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::getDate(), NetworkMessage::getLabel(), NetworkMessage::isDated(), RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdGendoc, pdRegister, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processQueryAttributeOwnership | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1061 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::handleArray, RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdDebug, FederationsList::searchOwner(), and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processNegotiatedOwnershipDivestiture | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1115 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::getLabel(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, FederationsList::negotiateDivestiture(), RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdDebug, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processAcquisitionIfAvailable | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1141 of file RTIG_processing.cc.

References FederationsList::acquireIfAvailable(), RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdDebug, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processUnconditionalDivestiture | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1168 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, FederationsList::divest(), NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdDebug, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processOwnershipAcquisition | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1195 of file RTIG_processing.cc.

References FederationsList::acquire(), RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::getLabel(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdDebug, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processCancelNegotiatedDivestiture | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1222 of file RTIG_processing.cc.

References RTIG::auditServer, FederationsList::cancelDivestiture(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdDebug, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processAttributeOwnedByFederate | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1086 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::handleArray, FederationsList::isOwner(), RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdDebug, NetworkMessage::send(), and NetworkMessage::setLabel().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processReleaseResponse | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1248 of file RTIG_processing.cc.

References RTIG::auditServer, certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, AttributeHandleSet::getHandle(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdDebug, FederationsList::respondRelease(), NetworkMessage::send(), and AttributeHandleSet::size().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processCancelAcquisition | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1281 of file RTIG_processing.cc.

References RTIG::auditServer, FederationsList::cancelAcquisition(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdDebug, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processCreateRegion | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1307 of file RTIG_processing.cc.

References FederationsList::createRegion(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::nbExtents, RTIG::NM_msgBufSend, pdDebug, NetworkMessage::region, NetworkMessage::send(), and NetworkMessage::space.

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processModifyRegion | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1329 of file RTIG_processing.cc.

References certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, BasicMessage::getExtents(), FederationsList::modifyRegion(), RTIG::NM_msgBufSend, pdDebug, NetworkMessage::region, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processDeleteRegion | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1346 of file RTIG_processing.cc.

References certi::rtig::D, FederationsList::deleteRegion(), NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, RTIG::NM_msgBufSend, pdDebug, NetworkMessage::region, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processAssociateRegion | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1365 of file RTIG_processing.cc.

References FederationsList::associateRegion(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::object, pdDebug, NetworkMessage::region, and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processUnassociateRegion | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1385 of file RTIG_processing.cc.

References certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, RTIG::NM_msgBufSend, NetworkMessage::object, pdDebug, NetworkMessage::region, NetworkMessage::send(), and FederationsList::unassociateRegion().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSubscribeAttributesWR | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1404 of file RTIG_processing.cc.

References certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::objectClass, pdDebug, NetworkMessage::region, NetworkMessage::send(), and FederationsList::subscribeAttributesWR().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processUnsubscribeAttributesWR | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1425 of file RTIG_processing.cc.

References certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, RTIG::NM_msgBufSend, NetworkMessage::objectClass, pdDebug, NetworkMessage::region, NetworkMessage::send(), and FederationsList::unsubscribeAttributesWR().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processSubscribeInteractionWR | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1443 of file RTIG_processing.cc.

References certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::interactionClass, RTIG::NM_msgBufSend, pdDebug, NetworkMessage::region, NetworkMessage::send(), and FederationsList::subscribeInteractionWR().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processUnsubscribeInteractionWR | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1462 of file RTIG_processing.cc.

References certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::interactionClass, RTIG::NM_msgBufSend, pdDebug, NetworkMessage::region, NetworkMessage::send(), and FederationsList::unsubscribeInteractionWR().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processRegisterObjectWithRegion | ( | Socket * | link,
|  | NetworkMessage * | req |
| ) |  |  | `[private]`

Definition at line 1481 of file RTIG_processing.cc.

References NM_Factory::create(), certi::rtig::D, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, NetworkMessage::getLabel(), NetworkMessage::getType(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::objectClass, PrettyDebug::Out(), pdRegister, NetworkMessage::region, and FederationsList::registerObjectWithRegion().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

void processRequestObjectAttributeValueUpdate | ( | Socket * | link,
|  | NetworkMessage * | request |
| ) |  |  | `[private]`

Definition at line 1511 of file RTIG_processing.cc.

References RTIG::auditServer, certi::e_FederationExecutionDoesNotExist, certi::e_NO_EXCEPTION, certi::e_ObjectNotKnown, certi::e_RTIinternalError, NetworkMessage::exceptionReason, NetworkMessage::federate, NetworkMessage::federation, RTIG::federations, certi::rtig::G, NetworkMessage::handleArray, NetworkMessage::handleArraySize, RTIG::NM_msgBufSend, NetworkMessage::object, PrettyDebug::Out(), pdGendoc, FederationsList::requestObjectOwner(), and NetworkMessage::send().

Referenced by RTIG::chooseProcessingMethod().

Here is the call graph for this function:

## Member Data Documentation

bool terminate = false`[static]`

Definition at line 57 of file RTIG.hh.

Referenced by RTIG::execute(), and RTIG::signalHandler().

int tcpPort`[private]`

Definition at line 128 of file RTIG.hh.

Referenced by RTIG::execute(), and RTIG::RTIG().

int udpPort`[private]`

Definition at line 129 of file RTIG.hh.

Referenced by RTIG::execute(), and RTIG::RTIG().

int verboseLevel`[private]`

Definition at line 130 of file RTIG.hh.

Referenced by RTIG::execute(), RTIG::RTIG(), and RTIG::setVerboseLevel().

HandleManager<Handle> federationHandles`[private]`

Definition at line 131 of file RTIG.hh.

Referenced by RTIG::processCreateFederation(), and RTIG::processDestroyFederation().

SocketTCP tcpSocketServer`[private]`

Definition at line 132 of file RTIG.hh.

Referenced by RTIG::execute(), and RTIG::~RTIG().

SocketUDP udpSocketServer`[private]`

Definition at line 133 of file RTIG.hh.

Referenced by RTIG::execute(), and RTIG::~RTIG().

SocketServer socketServer`[private]`

Definition at line 134 of file RTIG.hh.

Referenced by RTIG::chooseProcessingMethod(), RTIG::closeConnection(), RTIG::execute(), RTIG::openConnection(), and RTIG::processJoinFederation().

AuditFile auditServer`[private]`

Definition at line 135 of file RTIG.hh.

Referenced by RTIG::chooseProcessingMethod(), RTIG::processAcquisitionIfAvailable(), RTIG::processAttributeOwnedByFederate(), RTIG::processCancelAcquisition(), RTIG::processCancelNegotiatedDivestiture(), RTIG::processCreateFederation(), RTIG::processDeleteObject(), RTIG::processDestroyFederation(), RTIG::processFederateRestoreStatus(), RTIG::processFederateSaveBegun(), RTIG::processFederateSaveStatus(), RTIG::processIncomingMessage(), RTIG::processJoinFederation(), RTIG::processMessageNull(), RTIG::processNegotiatedOwnershipDivestiture(), RTIG::processOwnershipAcquisition(), RTIG::processPublishInteractionClass(), RTIG::processPublishObjectClass(), RTIG::processQueryAttributeOwnership(), RTIG::processRegisterObject(), RTIG::processRegisterSynchronization(), RTIG::processReleaseResponse(), RTIG::processRequestFederationRestore(), RTIG::processRequestFederationSave(), RTIG::processRequestObjectAttributeValueUpdate(), RTIG::processResignFederation(), RTIG::processSendInteraction(), RTIG::processSetAttributeRelevanceAdvisorySwitch(), RTIG::processSetAttributeScopeAdvisorySwitch(), RTIG::processSetClassRelevanceAdvisorySwitch(), RTIG::processSetInteractionRelevanceAdvisorySwitch(), RTIG::processSetTimeConstrained(), RTIG::processSetTimeRegulating(), RTIG::processSubscribeInteractionClass(), RTIG::processSubscribeObjectClass(), RTIG::processSynchronizationAchieved(), RTIG::processUnconditionalDivestiture(), and RTIG::processUpdateAttributeValues().

FederationsList federations`[private]`

Definition at line 136 of file RTIG.hh.

Referenced by RTIG::closeConnection(), RTIG::processAcquisitionIfAvailable(), RTIG::processAssociateRegion(), RTIG::processAttributeOwnedByFederate(), RTIG::processCancelAcquisition(), RTIG::processCancelNegotiatedDivestiture(), RTIG::processCreateFederation(), RTIG::processCreateRegion(), RTIG::processDeleteObject(), RTIG::processDeleteRegion(), RTIG::processDestroyFederation(), RTIG::processFederateRestoreStatus(), RTIG::processFederateSaveBegun(), RTIG::processFederateSaveStatus(), RTIG::processJoinFederation(), RTIG::processMessageNull(), RTIG::processModifyRegion(), RTIG::processNegotiatedOwnershipDivestiture(), RTIG::processOwnershipAcquisition(), RTIG::processPublishInteractionClass(), RTIG::processPublishObjectClass(), RTIG::processQueryAttributeOwnership(), RTIG::processRegisterObject(), RTIG::processRegisterObjectWithRegion(), RTIG::processRegisterSynchronization(), RTIG::processReleaseResponse(), RTIG::processRequestFederationRestore(), RTIG::processRequestFederationSave(), RTIG::processRequestObjectAttributeValueUpdate(), RTIG::processResignFederation(), RTIG::processSendInteraction(), RTIG::processSetAttributeRelevanceAdvisorySwitch(), RTIG::processSetAttributeScopeAdvisorySwitch(), RTIG::processSetClassRelevanceAdvisorySwitch(), RTIG::processSetInteractionRelevanceAdvisorySwitch(), RTIG::processSetTimeConstrained(), RTIG::processSetTimeRegulating(), RTIG::processSubscribeAttributesWR(), RTIG::processSubscribeInteractionClass(), RTIG::processSubscribeInteractionWR(), RTIG::processSubscribeObjectClass(), RTIG::processSynchronizationAchieved(), RTIG::processUnassociateRegion(), RTIG::processUnconditionalDivestiture(), RTIG::processUnsubscribeAttributesWR(), RTIG::processUnsubscribeInteractionWR(), RTIG::processUpdateAttributeValues(), RTIG::RTIG(), and RTIG::setVerboseLevel().

MessageBuffer NM_msgBufSend`[private]`

Definition at line 138 of file RTIG.hh.

Referenced by RTIG::processAcquisitionIfAvailable(), RTIG::processAssociateRegion(), RTIG::processAttributeOwnedByFederate(), RTIG::processCancelAcquisition(), RTIG::processCancelNegotiatedDivestiture(), RTIG::processCreateFederation(), RTIG::processCreateRegion(), RTIG::processDeleteObject(), RTIG::processDeleteRegion(), RTIG::processDestroyFederation(), RTIG::processIncomingMessage(), RTIG::processJoinFederation(), RTIG::processModifyRegion(), RTIG::processNegotiatedOwnershipDivestiture(), RTIG::processOwnershipAcquisition(), RTIG::processPublishInteractionClass(), RTIG::processPublishObjectClass(), RTIG::processQueryAttributeOwnership(), RTIG::processRegisterObject(), RTIG::processRegisterObjectWithRegion(), RTIG::processRegisterSynchronization(), RTIG::processReleaseResponse(), RTIG::processRequestObjectAttributeValueUpdate(), RTIG::processResignFederation(), RTIG::processSendInteraction(), RTIG::processSetAttributeRelevanceAdvisorySwitch(), RTIG::processSetAttributeScopeAdvisorySwitch(), RTIG::processSetClassRelevanceAdvisorySwitch(), RTIG::processSetInteractionRelevanceAdvisorySwitch(), RTIG::processSetTimeConstrained(), RTIG::processSetTimeRegulating(), RTIG::processSubscribeAttributesWR(), RTIG::processSubscribeInteractionClass(), RTIG::processSubscribeInteractionWR(), RTIG::processSubscribeObjectClass(), RTIG::processUnassociateRegion(), RTIG::processUnconditionalDivestiture(), RTIG::processUnsubscribeAttributesWR(), RTIG::processUnsubscribeInteractionWR(), and RTIG::processUpdateAttributeValues().

MessageBuffer NM_msgBufReceive`[private]`

Definition at line 140 of file RTIG.hh.

Referenced by RTIG::processJoinFederation().

The documentation for this class was generated from the following files:

- RTIG.hh
- RTIG.cc
- RTIG_processing.cc